Subject: Re: [PATCH] Super TSO

From: Rick Jones <[email-masked]>
Date: Thu, 19 May 2005 17:45:56 -0700

> In this case, 64k TSO becomes a liability and it will make sense to limit it.
>  TSO "sweet spot" will be captured anyways - at least on fast networks, going
>  from 1.5k to 9k typically doubles throughput, while going from 9k to 64k
> adds no more than another 10% (plus a little bit of free %cpu, but not that
> much).

On the surface, that just sounds like something adhering to the laws of
diminishing returns.  As you increase the TSO size, you are shrinking the 
per-send costs, but the per-byte costs (if there is a copy from user to kernel) 
and the ack costs remain the same.

If that 1500 to 9K to 64K is an MTU (and thus real MSS) change than the per-send 
and ack costs are what are diminishing but the per-byte costs remain the same.

Asymptotes and all that...

rick jones